Skip to content
Streamkap
Esc
↑↓navigate↵open⌘Jpreview

Delete Agent Llm Connection

Hard-delete one LLM connection by id.

The delete is not blocked when agents still reference the connection; the Streamkap app flags those agents the next time they are edited. 404 if no connection has this id.

DELETE/agents/connections/llm/{connection_id}
Authorization
AuthorizationBearer token · headerrequired
Path parameters
connection_idstringrequired
Responses
204

Successful Response

422

Validation Error

detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X DELETE 'https://api.streamkap.com/agents/connections/llm/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
Successful Response